package com.zipcodewilmington.productmanager;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

/**
 * Created by leon on 1/10/18.
 */
public class ProductTest {





    @Test
    public void setPriceTest(){
        Product product = new Product("Jersey", 89.99, 1, 3);
        product.setPrice(39.99);

        Assert.assertEquals(39.99, product.getPrice(), 1);
    }

    @Test
    public void getPriceTest(){
        Product product = new Product("Jersey", 89.99, 1, 3);
        product.getPrice();

        Assert.assertEquals(89.99, product.getPrice(), 1);
    }

    @Test
    public void getIdTest(){
        Product product = new Product("Jersey", 89.99, 1, 3);
        product.getId();

        Assert.assertEquals(1, product.getId());
    }

    @Test
    public void setIdTest(){
        Product product = new Product("Jersey", 89.99, 1, 3);
        product.setId(2);

        Assert.assertEquals(2, product.getId());
    }

    @Test
    public void getQuantityOnHand(){
        Product product = new Product("Jersey", 89.99, 1, 3);
        product.getQuantityOnHand();

        Assert.assertEquals(3, product.getQuantityOnHand());
    }

    @Test
    public void setQuantityOnHand(){
        Product product = new Product("Jersey", 89.99, 1, 3);
        product.setQuantityOnHand(12);

        Assert.assertEquals(12, product.getQuantityOnHand());
    }

    @Test
    public void getNameTest(){
        Product product = new Product("Jersey", 89.99, 1, 3);
        product.getName();

        Assert.assertEquals("Jersey", product.getName());
    }

    @Test
    public void setNameTest(){
        Product product = new Product("Jersey", 89.99, 1, 3);
        product.setName("Shirt");

        Assert.assertEquals("Shirt", product.getName());
    }
}
