package com.zipcodewilmington.productmanager;

import java.util.ArrayList;

public class Inventory{

    ArrayList<Product> inventory = new ArrayList<>();

    public void addItem(Product product){
        inventory.add(product);
    }

    public void addItems(Product[] products){
        for(Product product : products){
            inventory.add(product);
        }

    }

    public void remove(Product product){
        inventory.remove(product);
    }

    public int sumOfItems(){
        return inventory.size();
    }

    public String findItem(int id){

        for(Product product: inventory){
            if(product.getId() == id){
                return product.getName();
            }
        }

        return null;
    }


//    private String name;
//    private int id;
//    private int quantityOnHand;
//
//    public Inventory(String name, int id, int quantityOnHand){
//        this.name = name;
//        this.id = id;
//        this.quantityOnHand = quantityOnHand;
//    }
//    Inventory item1 = new Inventory("Jacket", 1, 5);
//    Inventory item2 = new Inventory("Hoodie", 2, 3);
//    Inventory item3 = new Inventory("Pants", 3, 10);
//
//    public void setItem1(Inventory item1) {
//        this.item1 = item1;
//    }
//
//    public String getName() {
//        return name;
//    }
//
//    public void setName(String name) {
//        this.name = name;
//    }
//
//    public int getId() {
//        return id;
//    }
//
//    public void setId(int id) {
//        this.id = id;
//    }
//
//    public int getQuantityOnHand() {
//        return quantityOnHand;
//    }
//
//    public void setQuantityOnHand(int quantityOnHand) {
//        this.quantityOnHand = quantityOnHand;
//    }
//
//    public void updateQuantity(){
//        quantityOnHand--;
//    }


}
